summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author B. Watson2012-01-16 06:47:56 +0100
committer Robby Workman2012-01-16 06:47:56 +0100
commit0f5948931f5c6f978273c26433a570e9c44b0722 (patch)
tree7dc72987ffb57d894de23b65d7b5507bebb1cfef
parent54112a678865ee6fac78cf98db5327f37b3dd4e5 (diff)
downloadslackbuilds-0f5948931f5c6f978273c26433a570e9c44b0722.tar.gz
games/hexen_demo_data: Added (game data from Hexen demo release)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
-rw-r--r--games/hexen_demo_data/README5
-rw-r--r--games/hexen_demo_data/hexen_demo_data.SlackBuild49
-rw-r--r--games/hexen_demo_data/hexen_demo_data.info10
-rw-r--r--games/hexen_demo_data/slack-desc19
4 files changed, 83 insertions, 0 deletions
diff --git a/games/hexen_demo_data/README b/games/hexen_demo_data/README
new file mode 100644
index 0000000000..70381e0c13
--- /dev/null
+++ b/games/hexen_demo_data/README
@@ -0,0 +1,5 @@
+Game data from the demo release of Hexen (hexen.wad, v1.1). Includes
+only the first 4 levels of the game.
+
+You'll need a Doom engine that's capable of playing Hexen to use this.
+zdoom will work; prboom, prboom-plus, odamex, and skulltag won't.
diff --git a/games/hexen_demo_data/hexen_demo_data.SlackBuild b/games/hexen_demo_data/hexen_demo_data.SlackBuild
new file mode 100644
index 0000000000..59397265c8
--- /dev/null
+++ b/games/hexen_demo_data/hexen_demo_data.SlackBuild
@@ -0,0 +1,49 @@
+#!/bin/sh
+
+# Slackware build script for hexen_demo_data
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+PRGNAM=hexen_demo_data
+VERSION=${VERSION:-1.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir -p $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+unzip $CWD/hexndemo.zip
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Install as hexdemo.wad rather than hexen.wad. ZDoom will accept either,
+# and this way we don't stomp on the hexen.wad from the full version of
+# the game.
+mkdir -p $PKG/usr/share/games/doom
+install -m0644 HEXEN.WAD $PKG/usr/share/games/doom/hexdemo.wad
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+sed 's/\r//' README.TXT > $PKG/usr/doc/$PRGNAM-$VERSION/README.txt
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/hexen_demo_data/hexen_demo_data.info b/games/hexen_demo_data/hexen_demo_data.info
new file mode 100644
index 0000000000..6c1eac9326
--- /dev/null
+++ b/games/hexen_demo_data/hexen_demo_data.info
@@ -0,0 +1,10 @@
+PRGNAM="hexen_demo_data"
+VERSION="1.1"
+HOMEPAGE="ftp://ftp.idsoftware.com/idstuff/hexen/"
+DOWNLOAD="ftp://ftp.idsoftware.com/idstuff/hexen/hexndemo.zip"
+MD5SUM="b30672df8b41fd35fafe40ce0c3855c3"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
+APPROVED="rworkman"
diff --git a/games/hexen_demo_data/slack-desc b/games/hexen_demo_data/slack-desc
new file mode 100644
index 0000000000..7c0786ad44
--- /dev/null
+++ b/games/hexen_demo_data/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+hexen_demo_data: hexen_demo_data (game data from Hexen demo release)
+hexen_demo_data:
+hexen_demo_data: Game data from the demo release of Hexen (hexen.wad, v1.1). Includes
+hexen_demo_data: only the first 4 levels of the game.
+hexen_demo_data:
+hexen_demo_data: You'll need a Doom engine that's capable of playing Hexen to use this.
+hexen_demo_data: zdoom will work; prboom, prboom-plus, odamex, and skulltag won't.
+hexen_demo_data:
+hexen_demo_data:
+hexen_demo_data:
+hexen_demo_data: